<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Kuesioner</title>
</head>
<body>
<div layout:fragment="main">
  <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
    <div class="container-fluid">
      <div class="header-body">
        <!-- Card stats -->
        <div class="row">
          <div class="col-xl-12 col-lg-12">
            <div class="card card-stats mb-4 mb-xl-0">
              <div class="card-body">
                <div class="row">
                  <div class="col">
                    <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                    <span class="h2 font-weight-bold mb-0">Kuesioner </span>
                  </div>
                  <div class="col-auto">
                    <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                      <i class="fas fa-calendar"></i>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>

        </div>
      </div>
    </div>
  </div>

  <div class="container-fluid mt--7">
    <div class="row">
      <div class="col-md-12 col-xs-12">
        <div class="card shadow">
          <div class="card-header border-0">
            <div class="row align-items-center">
              <div class="col">
                <h3 class="mb-0">Data List</h3>
              </div>
              <div class="col text-right">
                <a th:href="@{/kuesioner/deskripsi}" class="btn btn-sm btn-default"><i class="fas fa-plus-circle"></i> Tambah</a>
              </div>
            </div>
          </div>
          <div class="card-body">
            <div class="row">
              <div class="col-md-12">
                <div class="alert alert-success alert-dismissible fade show" role="alert" th:if="${success != null}">
                  <strong th:text="${success}">Holy guacamole!</strong>
                  <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>

                <div class="alert alert-success alert-dismissible fade show" role="alert" th:if="${error != null}">
                  <strong th:text="${error}">Holy guacamole!</strong>
                  <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
              </div>
            </div>
          </div>

          <div class="table-responsive">
            <table class="table table-striped table-hover">
              <thead>
              <tr>
                <th width="5%">No.</th>
                <th width="20%">Judul</th>
                <th width="50%">Deskripsi</th>
                <th></th>
                <th></th>
                <th></th>
              </tr>
              </thead>
              <tbody>
              <tr th:each="data, row:${list}">
                <td th:text="${(row.index + 1)}">1</td>
                <td th:text="${data.judul}">Judul Test</td>
                <td th:text="${data.deskripsi}">Judul Test</td>
                <td>
                  <a th:href="@{/kuesioner/form(kuesioner = ${data.id})}" class="btn btn-success btn-sm">
                    tambah pertanyaan
                  </a>
                </td>
                <td>
                  <a th:href="@{/kuesioner/deskripsi(id = ${data.id})}" class="btn btn-primary btn-sm">
                    <i class="fa fa-edit"></i>
                  </a>
                </td>
                <td>
                  <a th:href="@{/kuesioner/deskripsi/delete(kuesioner = ${data.id})}" onclick="return confirm('Anda Yakin untuk menghapus data ini ?')"
                     class="btn btn-danger btn-sm"><i class="fa fa-trash"></i></a>
                </td>
              </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
</body>
</html>